VSTGUI 4.5 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Member Functions | Public Attributes | List of all members
WindowClosedListener Class Reference
Standalone Library

Window closed listener More...

Inheritance diagram for WindowClosedListener:

## Public Types
using | Func = std::function< void(const IWindow &)>

## Public Member Functions
| WindowClosedListener ()
template<typename Func >
| WindowClosedListener (Func func)
void | onClosed (const IWindow &window) override
| Window is closed. More...
Public Member Functions inherited from WindowListenerAdapter
void | onSizeChanged (const IWindow &window, const CPoint &newSize) override
| Size of window is changed. More...
void | onPositionChanged (const IWindow &window, const CPoint &newPosition) override
| Position of window is changed. More...
void | onShow (const IWindow &window) override
| Window is shown. More...
void | onHide (const IWindow &window) override
| Window is hidden. More...
void | onActivated (const IWindow &window) override
| Window is activated. More...
void | onDeactivated (const IWindow &window) override
| Window is deactivated. More...
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T >
const auto | dynamicCast () const
template<typename T >
auto | dynamicCast ()

## Public Attributes
Func | func

## Detailed Description

Window closed listener

## Member Typedef Documentation

using Func = std::function<void (const IWindow&)>

## Constructor & Destructor Documentation

WindowClosedListener | ( |  | ) |
| inline

WindowClosedListener | ( | Func | func | ) |
| inline

## Member Function Documentation

void onClosed | ( | const IWindow & | window | ) |
| inline override virtual

Window is closed.

Reimplemented from WindowListenerAdapter.

## Member Data Documentation

Func func

The documentation for this class was generated from the following file:

- windowlistener.h